<?php
/**
 * Swifty Site Designer Theme Customizer
 *
 * @package Swifty Site Designer
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function swifty_site_designer_customize_register( $wp_customize ) {
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

    /**
      * Swifty Site Designer customizer additions.
      */
    global $ssd_wp_customize;
    $ssd_wp_customize = $wp_customize;
    require get_template_directory() . '/ssd/php/customize.php';
}
add_action( 'customize_register', 'swifty_site_designer_customize_register' );

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function swifty_site_designer_customize_preview_js() {
	wp_enqueue_script( 'swifty_site_designer_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'swifty_site_designer_customize_preview_js' );
